Get all Cities Endpoint
Retrieves the list of cities that Syticks supports. Eg Iyana Ipaja, Festac, Kubwa etc.
Query parameters
searchstringOptional
Filter cities based on a search parameter. For example, if you pass "La" as the search term, it will return all cities that contain "La".
per_pageinteger · int32Optional
Specifies the number of cities per page. For example, if per_page is set to 10, the response will contain 10 cities.
Responses
200
Successful retrieval of cities.
application/json
successbooleanOptional
Indicates if the request was successful.
statusintegerOptional
HTTP status code (200 indicates success).
messagestringOptional
Human-readable description of the response.
400
Bad Request - Invalid input or query parameters.
application/json
500
Internal Server Error
application/json
get
/api/v1/merpi/transport/citiesLast updated